package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.domain.response.Info;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.*;

@RestController
@ResponseBody
public class AuthController {
    private final AuthService authService;

    public AuthController(AuthService authService) {
        this.authService = authService;
    }

    @PostMapping("login")
    public Result login(@RequestBody LoginRequest loginRequest){
        JwtResponse login = authService.login(loginRequest);
        return Result.success(login);
    }
    @GetMapping("info")
    public Result info(){
        Info info = authService.info();
        return Result.success(info);
    }

}
