package com.bwie.common.remote.es;

import com.bwie.common.constant.ServerNameConstants;
import com.bwie.common.domain.Goods;
import com.bwie.common.remote.es.factory.EsRemoteFactory;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(
        name = ServerNameConstants.ES_NAME,
        fallbackFactory = EsRemoteFactory.class
)
public interface EsRemoteService {
    @PostMapping("addb")
    public Result addb(@RequestBody List<Goods> gg);

    @PostMapping("del")
    Result delb(@RequestParam Long goodsId);

    @GetMapping
    void del();


}
