package com.bwie.common.remote.es.factory;

import com.bwie.common.domain.Goods;
import com.bwie.common.remote.es.EsRemoteService;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;
@Log4j2
@Component
public class EsRemoteFactory implements FallbackFactory<EsRemoteService> {
    @Override
    public EsRemoteService create(Throwable cause) {
        return new EsRemoteService() {
            @Override
            public Result addb(List<Goods> gg) {
                log.error("[{}-{}]es同步远程调用错误",gg,cause.getMessage(),cause);
                return Result.error();
            }

            @Override
            public Result delb(Long goodsId) {
                log.error("[{}-{}]es删除远程调用错误",goodsId,cause.getMessage(),cause);
                return Result.error();
            }

            @Override
            public void del() {
                log.error("[{}-{}]es删除远程调用错误",cause.getMessage(),cause);
                 Result.error();
            }
        };
    }
}
