package com.bwie.common.remote.goods;

import com.bwie.common.constant.ServerNameConstants;
import com.bwie.common.domain.request.PayNum;
import com.bwie.common.remote.goods.factory.GoodsRemoteFactory;
import com.bwie.common.remote.user.factory.UserRemoteFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(
        name = ServerNameConstants.GOODS_NAME,
        fallbackFactory = GoodsRemoteFactory.class
)
public interface GoodsRemoteService {

    @PostMapping("updnum")
    void updnum(@RequestParam Long goodsId,Integer goodsNum);

    @PostMapping("addnum")
    void addnum(@RequestParam Integer goodsNum, Long goodsId);
}
