package com.bwie.common.remote.goods.factory;

import com.bwie.common.domain.request.PayNum;
import com.bwie.common.remote.goods.GoodsRemoteService;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Log4j2
public class GoodsRemoteFactory implements FallbackFactory<GoodsRemoteService> {
    @Override
    public GoodsRemoteService create(Throwable cause) {
        return new GoodsRemoteService() {
            @Override
            public void updnum(Long goodsId,Integer goodsNum) {
                log.error("[{}-{}-{}]修改库存远程调用错误",goodsId,goodsNum,cause.getMessage(),cause);
                Result.error();
            }

            @Override
            public void addnum(Integer goodsNum, Long goodsId) {
                log.error("[{}-{}-{}]恢复库存远程调用错误",goodsId,goodsNum,cause.getMessage(),cause);
                Result.error();
            }
        };
    }
}
