package com.bwie.common.remote.mq.factory;

import com.bwie.common.domain.request.MqReq;
import com.bwie.common.domain.request.PayNum;
import com.bwie.common.remote.goods.GoodsRemoteService;
import com.bwie.common.remote.mq.MqRemoteService;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Log4j2
public class MqRemoteFactory implements FallbackFactory<MqRemoteService> {
    @Override
    public MqRemoteService create(Throwable cause) {
        return new MqRemoteService() {

            @Override
            public void updstatus(MqReq build) {
                log.error("[{}-{}-{}]退款远程调用错误",build,cause.getMessage(),cause);
                Result.error();
            }
        };
    }
}
