package com.bwie.common.remote.user.factory;

import com.bwie.common.domain.User;
import com.bwie.common.remote.user.UserRemoteService;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
@Log4j2
public class UserRemoteFactory implements FallbackFactory<UserRemoteService> {
    @Override
    public UserRemoteService create(Throwable cause) {
        return new UserRemoteService() {
            @Override
            public Result<User> findname(String userName) {
                log.error("[{}-{}]查找姓名远程调用错误",userName,cause.getMessage(),cause);
                return Result.error();
            }

            @Override
            public void incremoney(Double ordMoney, Long userId) {
                log.error("[{}-{}-{}]支付远程调用错误",ordMoney,userId,cause.getMessage(),cause);
                Result.error();
            }

            @Override
            public void addmoney(Long userId, Double ordTruth) {
                log.error("[{}-{}-{}]退款远程调用错误",userId,ordTruth,cause.getMessage(),cause);
                Result.error();
            }
        };
    }
}
