package com.bwie.es.service.impl;

import com.bwie.common.domain.Goods;
import com.bwie.es.service.EsService;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.elasticsearch.action.bulk.BulkRequest;
import org.elasticsearch.action.delete.DeleteRequest;
import org.elasticsearch.action.index.IndexRequest;
import org.elasticsearch.client.RequestOptions;
import org.elasticsearch.client.RestHighLevelClient;
import org.elasticsearch.common.xcontent.XContentType;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;

@Service
public class EsServiceImpl implements EsService {
    private final RestHighLevelClient client;

    public EsServiceImpl(RestHighLevelClient client) {
        this.client = client;
    }

    @Override
    public void addb(List<Goods> gg) {
        BulkRequest bulkRequest = new BulkRequest();
        ObjectMapper objectMapper = new ObjectMapper();
        for (Goods goods : gg) {
            try {
                String s = objectMapper.writeValueAsString(goods);
                bulkRequest.add(new IndexRequest("goods").id(goods.getGoodsId().toString())
                        .source(s, XContentType.JSON));
            } catch (JsonProcessingException e) {
                throw new RuntimeException(e);
            }
        }
        try {
            client.bulk(bulkRequest, RequestOptions.DEFAULT);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public void delb(Long goodsId) {
        DeleteRequest deleteRequest = new DeleteRequest("goods",goodsId.toString());
        try {
            client.delete(deleteRequest,RequestOptions.DEFAULT);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public void del() {
        DeleteRequest deleteRequest = new DeleteRequest("goods");
        try {
            client.delete(deleteRequest,RequestOptions.DEFAULT);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
