package com.bwie.goods;

import com.bwie.common.domain.Goods;
import com.bwie.common.remote.es.EsRemoteService;
import com.bwie.goods.service.GoodsService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

import javax.annotation.PostConstruct;
import java.util.List;

@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.bwie.**")
@MapperScan("com.bwie.goods.mapper")
public class GoodsApp {
    private final GoodsService goodsService;
    private final EsRemoteService esRemoteService;

    public GoodsApp(GoodsService goodsService, EsRemoteService esRemoteService) {
        this.goodsService = goodsService;
        this.esRemoteService = esRemoteService;
    }

    public static void main(String[] args) {
        SpringApplication.run(GoodsApp.class);
    }

    @PostConstruct
    public void init(){
        goodsService.initRedis();
        List<Goods> findall = goodsService.findall();
        esRemoteService.addb(findall);
    }
}
