package com.bwie.goods.controller;

import com.bwie.common.domain.Goods;
import com.bwie.common.domain.request.CusReq;
import com.bwie.common.domain.request.ManaReq;
import com.bwie.common.domain.request.PayNum;
import com.bwie.common.domain.response.CusRes;
import com.bwie.common.remote.es.EsRemoteService;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.goods.service.GoodsService;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@RestController
@ResponseBody
public class GoodsController {
    private final GoodsService goodsService;
    private final EsRemoteService esRemoteService;

    public GoodsController(GoodsService goodsService, EsRemoteService esRemoteService) {
        this.goodsService = goodsService;
        this.esRemoteService = esRemoteService;
    }

    @PostMapping("showMana")
    public Result showMana(@RequestBody ManaReq manaReq){
        Result result = goodsService.showMana(manaReq);
        return result;
    }

    @PostMapping("addgoods")
    public Result addgoods (@RequestBody Goods goods){
        goodsService.addgoods(goods);
         return Result.success();
    }

    @PostMapping("updgoods")
    public Result updgoods(@RequestBody Goods gg){
        goodsService.updateById(gg);
        esRemoteService.delb(gg.getGoodsId());
        ArrayList<Goods> goods1 = new ArrayList<>();
        goods1.add(gg);
        esRemoteService.addb(goods1);
        return Result.success();
    }

    @PostMapping("delgoods")
    public Result delgoods(@RequestBody Goods gg){
        goodsService.delgoods(gg);
        return Result.success();
    }

    @PostMapping("showCus")
    public Result showCus(@RequestBody CusReq cusReq){
        Result<PageResult<CusRes>> pageResultResult = goodsService.showCus(cusReq);
        return pageResultResult;
    }
    @PostMapping("updnum")
    void updnum(@RequestParam Long goodsId,Integer goodsNum){
        goodsService.updnum(goodsId,goodsNum);
    }
    @PostMapping("addnum")
    void addnum(@RequestParam Integer goodsNum, Long goodsId){
        goodsService.addnum(goodsNum,goodsId);
    }

}
