package com.bwie.mq.controller;

import com.bwie.common.domain.request.MqReq;
import com.bwie.mq.config.MqConfig;
import org.springframework.amqp.rabbit.connection.CorrelationData;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

@RestController
@ResponseBody
public class MqController {
    private final RabbitTemplate rabbitTemplate;

    public MqController(RabbitTemplate rabbitTemplate) {
        this.rabbitTemplate = rabbitTemplate;
    }

    @PostMapping("updstatus")
    void updstatus(@RequestBody MqReq build){
        rabbitTemplate.convertAndSend(MqConfig.EXCHANGE,MqConfig.KEY,build,message -> {
            message.getMessageProperties().setMessageId(UUID.randomUUID().toString());
            return message;
        },new CorrelationData(UUID.randomUUID().toString()));
    }
}
