package com.bwie.ord.service;

import cn.hutool.core.util.RandomUtil;
import com.bwie.common.constant.JwtConstants;
import com.bwie.common.constant.TokenConstants;
import com.bwie.common.domain.Ord;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.AddoReq;
import com.bwie.common.domain.request.BackReq;
import com.bwie.common.domain.request.MqReq;
import com.bwie.common.domain.request.PayReq;
import com.bwie.common.domain.response.Info;
import com.bwie.common.redis.RedisCache;
import com.bwie.common.remote.goods.GoodsRemoteService;
import com.bwie.common.remote.mq.MqRemoteService;
import com.bwie.common.remote.user.UserRemoteService;
import com.bwie.common.result.Result;
import com.bwie.ord.mapper.OrdMapper;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Service
public class OrdServiceImpl implements OrdService{
    private final RedisCache redisCache;
    private final HttpServletRequest request;
    private final UserRemoteService userRemoteService;
    private final GoodsRemoteService goodsRemoteService;
    private final MqRemoteService mqRemoteService;
    private final OrdMapper ordMapper;

    public OrdServiceImpl(RedisCache redisCache, HttpServletRequest request, UserRemoteService userRemoteService, GoodsRemoteService goodsRemoteService, MqRemoteService mqRemoteService, OrdMapper ordMapper) {
        this.redisCache = redisCache;
        this.request = request;
        this.userRemoteService = userRemoteService;
        this.goodsRemoteService = goodsRemoteService;
        this.mqRemoteService = mqRemoteService;
        this.ordMapper = ordMapper;
    }
    @Override
    public Result addord(AddoReq addoReq) {

            addoReq.setUserId(info().getUserId());
            String s = RandomUtil.randomNumbers(6);
            addoReq.setOrdHao(s);

            ordMapper.addord(addoReq);
            ordMapper.addmidd(s,addoReq.getCarNum(),addoReq.getGoodsId(),1);
//            List<Ord> findwill = ordMapper.findwill(s);
//            return Result.success(findwill);
        if(addoReq.getGoodsPrice()>info().getUserYe()){
            return Result.error("余额不足");
        }
        userRemoteService.incremoney(addoReq.getGoodsPrice(), info().getUserId());
        ordMapper.updstatus(2,s);
        goodsRemoteService.updnum(addoReq.getGoodsId(), addoReq.getCarNum());
        return Result.success();


//        }
//        userRemoteService.incremoney(addoReq.getOrdMoney(),info().getUserId());
//
//        addoReq.setUserId(info().getUserId());
//        String s = RandomUtil.randomNumbers(6);
//        addoReq.setOrdHao(s);
//        addoReq.setOrdStatus(2);
//        ordMapper.addord(addoReq);
//        ordMapper.addmidd(s,addoReq.getGoodsIds());
//        return Result.success();
    }

    @Override
    public Result pay(PayReq payReq) {
return Result.success();
    }

    @Override
    public Result show() {
        List<Ord> show = ordMapper.show(info().getUserId());
        return Result.success(show);
    }

    @Override
    public void back(BackReq backReq) {
        MqReq build = MqReq.builder()
                .middId(backReq.getMiddId())
                .userPhone(info().getUserPhone())
                .build();
        mqRemoteService.updstatus(build);
        goodsRemoteService.addnum(backReq.getGoodsNum(),backReq.getGoodsId());
        userRemoteService.addmoney(info().getUserId(),backReq.getOrdTruth());

    }


    public Info info() {
        User cacheObject = redisCache.getCacheObject(TokenConstants.LOGIN_TOKEN_KEY + request.getHeader(JwtConstants.USER_KEY));

        return Info.builder()
                .userPhone(cacheObject.getUserPhone())
                .userId(cacheObject.getUserId())
                .userName(cacheObject.getUserName())
                .userRole(cacheObject.getUserRole())
                .userYe(cacheObject.getUserYe())
                .build();
    }
}
















