package com.bwie.system.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.User;
import com.bwie.system.mapper.SysMapper;
import org.springframework.stereotype.Service;

@Service
public class SysServiceImpl extends ServiceImpl<SysMapper, User> implements SysService {
    private final SysMapper sysMapper;

    public SysServiceImpl(SysMapper sysMapper) {
        this.sysMapper = sysMapper;
    }

    @Override
    public User findname(String userName) {
        LambdaQueryWrapper<User> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(User::getUserName,userName);
        User user = sysMapper.selectOne(queryWrapper);
        return user;
    }

    @Override
    public void incremoney(Double ordMoney, Long userId) {
        sysMapper.incremoney(ordMoney,userId);
    }

    @Override
    public void addmoney(Double ordTruth, Long userId) {

        sysMapper.addmoney(ordTruth,userId);
    }
}
