package com.bwie.type;

import com.bwie.type.service.TypeService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

import javax.annotation.PostConstruct;

@SpringBootApplication
@EnableDiscoveryClient
@MapperScan("com.bwie.type.mapper")
public class TypeApp {
    private final TypeService typeService;

    public TypeApp(TypeService typeService) {
        this.typeService = typeService;
    }

    public static void main(String[] args) {
        SpringApplication.run(TypeApp.class);
    }
    @PostConstruct
    public void init(){
        typeService.show();
    }

}
