package com.bwie.type.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.Type;
import com.bwie.common.redis.RedisCache;
import com.bwie.type.mapper.TypeMapper;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class TypeServiceImpl extends ServiceImpl<TypeMapper, Type> implements TypeService{
  private final TypeMapper typeMapper;
  private final RedisCache redisCache;

    public TypeServiceImpl(TypeMapper typeMapper, RedisCache redisCache) {
        this.typeMapper = typeMapper;
        this.redisCache = redisCache;
    }

    @Override
    public List<Type> show() {
        if(!redisCache.hasKey("type:")){
            LambdaQueryWrapper<Type> typeLambdaQueryWrapper = new LambdaQueryWrapper<>();
            List<Type> types = typeMapper.selectList(typeLambdaQueryWrapper);
            redisCache.setCacheList("type:",types);
        }

        List<Type> cacheList = redisCache.getCacheList("type:");

        return cacheList;
    }
}
